Module | Erubis::Evaluator
In: | erubis/evaluator.rb

evaluate code

### Methods

evaluate init_evaluator result

### Attributes

filename | [RW] |
src | [RW] |

### Public Instance methods

evaluate(*args)

[Source]

    # File erubis/evaluator.rb, line 35
        def evaluate(*args)
          raise NotSupportedError.new("evaluation of code except Ruby is not supported.")
        end

init_evaluator(properties)

[Source]

    # File erubis/evaluator.rb, line 27
        def init_evaluator(properties)
          @filename = properties[:filename]
        end

result(*args)

[Source]

    # File erubis/evaluator.rb, line 31
        def result(*args)
          raise NotSupportedError.new("evaluation of code except Ruby is not supported.")
        end

[Validate]